;;;;;;;;;;;
; OPcache ;
;;;;;;;;;;;

; How often (in seconds) to check file timestamps for changes to the shared
; memory storage allocation. ("1" means validate once per second, but only
; once per request. "0" means always validate)
opcache.revalidate_freq=0


;;;;;;;;;;
; xDebug ;
;;;;;;;;;;

; This setting controls which Xdebug features are enabled.
; The following values are accepted:
;   off:       Nothing is enabled. Xdebug does no work besides checking whether
;              functionality is enabled. Use this setting if you want close to 0 overhead.
;   develop:   Enables Development Aids including the overloaded var_dump().
;   coverage:  Enables Code Coverage Analysis to generate code coverage reports, mainly in
;              combination with PHPUnit.
;   debug:     Enables Step Debugging. This can be used to step through your code while it
;              is running, and analyse values of variables.
;   gcstats:   Enables Garbage Collection Statistics to collect statistics about PHP's
;              Garbage Collection Mechanism.
;   profile:   Enables Profiling, with which you can analyse performance bottlenecks with
;              tools like KCacheGrind.
;   trace:     Enables the Function Trace feature, which allows you record every function
;              call, including arguments, variable assignment, and return value that is
;              made during a request to afile.
; You can enable multiple modes at the same time by comma separating their identifiers as
; value to xdebug.mode: xdebug.mode=develop,trace.
xdebug.mode=off

; Configures the IP address or hostname where Xdebug will attempt to connect to when
; initiating a debugging connection. This address should be the address of the machine
; where your IDE or debugging client is listening for incoming debugging connections.
xdebug.client_host=host.docker.internal

; A Function Trace, Garbage Collection Statistics, Profiling, or Step Debugging can be
; activated at the start of a PHP request. Whether this happens depends on the value of
; this setting:
;   yes:      The functionality starts when the PHP request starts, and before any PHP
;             code is run.
;   no:       The functionality does not get activated when the request starts.
;   trigger:  The functionality only gets activated when a specific trigger is present
;             when the request starts. The name of the trigger is XDEBUG_TRIGGER, and
;             Xdebug checks for its presence in either $_ENV (environment variable),
;             $_GET or $_POST variable, or $_COOKIE (HTTP cookie name).
;   default:  The default value depends on xdebug.mode - debug: trigger, gcstats: no,
;             profile: yes, trace: trigger.
xdebug.start_with_request=yes
